#include <iocslib.h>
#include "defines.h"
#include "aigtext.h"

int print24c(int c)
/* 拡張半角(12*24)／全角(24*24)１文字表示 */
{
_FNTBUF fnt;
	if (c<' ') { /* コントロールコード */
		/* 改行コードの扱いがEX_PUTC24と異なる */
		if (c=='\n') { /* 0x0a */
			B_PUTC(0x0d);
			B_PUTC(c);
		}
		return(B_PUTC(c));
	}
	if (fontsetc(c,12,&fnt)) return(FONTPUT(&fnt));
	return(-1);
}
